/*!
 * JavaScript to include social network connections as two-click solution
 * http://www.kaempf-nk.de/
 *
 * Copyright © 2013 kaempf-nk.de
 * Licensed under the MIT license
 * http://www.kaempf-nk.de/webseitengestaltung/js/license.txt
 *
 * Note:
 * If you want to use this script in our own application, please don't forget to adapt the appId!!!
 *
 * History: 2018-12-29 - remove google plus 
 * 			2015-12-09 - counter removed by twitter => additional offset on the tweet button
 *          2013-05-20 - first release
 */
 /* <![CDATA[ */
window.___gcfg = {lang: 'de'};
$(document).ready(function($){
	if($('#fb-root').length > 0){
		$('#fb-root').btnPrivacy(); 
	}
});

(function($,d){
	"use strict";
	
	var sBtns = ["fbLike", "tweet"];	// this example is using the facebook and twitter buttons

	$.fn.btnPrivacy = function(){
	
		var appId = 461866460514184;			// Please change to your id !!!

		for(var i=0;i<sBtns.length; i++) {
			if (hasCookie(sBtns[i]) === true) dispBtn(sBtns[i]);	// if cookie already set, show the related button
			else {
				$("#"+sBtns[i]).bind({
					click: clickBtn,
					mouseenter: showHint,
					mouseout: hideHint
				});
			}
		}
		$("#s-del").bind({											// event-binding to the delete button
			click: delCookies,
			mouseenter: showHint,
			mouseout: hideHint
		});
	
		function clickBtn() {										// if the user click the button => the button will be displayed
			return dispBtn($(this).attr("id"));
		}

		function showHint() {										// the hint divisions (feel free to adapt the content)
			var pos = $("#s-links").position();
			var txt = '<b>2 Klicks für mehr Datenschutz !</b><br /><br /><b>Hinweis:</b><br /> Bereits beim ersten Klick auf den Button werden automatisch Daten an ';
			switch($(this).attr("id"))
			{
				case "fbLike":
					txt += 'Facebook übermittelt und evtl. auch dort gespeichert.';
					break;
				case "tweet":
					txt += 'Twitter</b> übermittelt und evtl. auch dort gespeichert.';
					break;
				case "s-del":
					txt = '<b>2 Klicks für mehr Datenschutz !</b><br /><br />Mit einem Klick auf dieses Kreuz deaktivieren Sie wieder die Social-Button für die gesamte Website.<br />';
					txt += 'Danach können die entsprechenden Netzwerke keine Daten mehr an sich übertragen.';
					break;
				default:
					return false;
			}
			$("#s-hint").html(txt).css("top", pos.top+40).css("left", pos.left-50);
			$("#s-hint").css('display','block');
		}
		
		function hideHint() {
			$("#s-hint").css('display','none');
			return false;
		}

		function delCookies() {
			for(var i=0;i<sBtns.length; i++) {
				delCookie(sBtns[i]);
			}
			alert('Die Verbindung zu den sozialen Netzwerken wird wieder gelöst!');	// the message will be displayed as allert (reason: safari)
			window.location.reload(true);
		}
			
		function dispBtn(idBtn) {
			var s = 'script';
			var js, fjs = document.getElementsByTagName(s)[0];
			
			$("#s-hint").hide();
			switch(idBtn)
			{
				case "fbLike":
					$('#fbLike').css('background-image', 'none');
	
					window.fbAsyncInit = function() {
						FB.init({
							appId            : appId,
						    autoLogAppEvents : true,
						    xfbml            : true,
						    version          : 'v2.11'
						});
						FB.AppEvents.logPageView();
					};
					
					var id= 'facebook-jssdk';
					if (!d.getElementById(id)) {;
						js = d.createElement(s); js.id = id;
						js.async = true;
						js.src = "//connect.facebook.net/de_DE/sdk.js";
						fjs.parentNode.insertBefore(js, fjs);
					}
					break;
	
				case "tweet":
					$("#tweet").removeAttr("onclick");
					$('#tweet').css('background-image', 'none');
	
					var id= 'twitter-wjs';
					if(!d.getElementById(id)){
						js=d.createElement(s);
						js.id=id;
						js.src="//platform.twitter.com/widgets.js";
						fjs.parentNode.insertBefore(js,fjs);
					}
					break;
	
				default:
					return false;
			}
			$("#s-del").show();														// if any button is active, the delete button will be displayed
			setCookie(idBtn);														// remember the current state in a cookie
			$("#"+idBtn).unbind('mouseenter');
			return false;
		}

		function setCookie(idBtn) {													// cookie management
			var expires = new Date();
			expires.setTime(expires.getTime() + (30 * 24 * 60 * 60 * 1000));
			d.cookie = idBtn + '=1; expires=' + expires.toUTCString() + '; path=/';
		}

		function delCookie(idBtn) {
			var expires = new Date();
			expires.setTime(expires.getTime() - 100);
			d.cookie = idBtn + '=1; expires=' + expires.toUTCString() + '; path=/';
		}

		function hasCookie(idBtn) {
			if (d.cookie.indexOf(idBtn+"=") >= 0) return true;
			else  return false;
		}
	}

})(jQuery, document);
/* ]]> */